Skip to main content
GET
/
api
/
v1
/
query
/
dashboards
cURL
curl "https://api.trigger.dev/api/v1/query/dashboards" \
  -H "Authorization: Bearer tr_dev_1234"
{
  "dashboards": [
    {
      "key": "<string>",
      "title": "<string>",
      "widgets": [
        {
          "id": "<string>",
          "title": "<string>",
          "query": "<string>",
          "type": "bignumber"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

import { configure } from "@trigger.dev/sdk";

configure({ accessToken: "tr_dev_1234" });

Response

Dashboards listed successfully

dashboards
object[]